Subject: bug#40458: closed (Re: [bug#40458] [PATCH 01/10] gnu: alsa-modular-synth: Make some inputs native.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 05 Apr 2020 22:06:02 +0000

Your bug report

#40458: Make some qttools inputs native

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40458: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40458
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#40458] [PATCH 01/10] gnu: alsa-modular-synth: Make some inputs native.
From: Danny Milosavljevic <[email-masked]>
To: Vincent Legoll <[email-masked]>
Cc: [email-masked]
Date: Mon, 6 Apr 2020 00:05:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

thanks for the patches!

Pushed the patchset to guix master as
commits 391d12ff8127899db26be8adac9b31fd743742e6 (inclusive)
to f4783d77ed8a24633611693b091102b226004971 (inclusive).

Subject: Make some qttools inputs native
From: Vincent Legoll <[email-masked]>
To: [email-masked]
Date: Sun, 5 Apr 2020 23:28:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This is for the qttools ones, but a few of the
warnings were false positives, as I've found
the packages to retain references to qttools.

So here are those that should still be applied.

The one with most dependents would cause
149 rebuilds, so it looks like they can go to
master.

I have to thank Christopher Baines for the
guix data service, as it made the task easier.

Each batch I send is made with less manual
work and more automated than the preceding
one (but still not fully, and shell- instead of
scheme-based, though).

$ for p in $(cat native-inputs.txt); do
  echo $p;
  guix refresh --list-dependent $p | awk -F: '{print $1}';
done

alsa-modular-synth
No dependents other than itself
gpsbabel
A single dependent package
itk-snap
No dependents other than itself
kdewebkit
Building the following 14 packages would ensure 40 dependent packages
are rebuilt
kiconthemes
Building the following 85 packages would ensure 149 dependent packages
are rebuilt
kio
Building the following 81 packages would ensure 140 dependent packages
are rebuilt
kplotting
Building the following 14 packages would ensure 40 dependent packages
are rebuilt
kxmlgui
Building the following 84 packages would ensure 145 dependent packages
are rebuilt
synthv1
No dependents other than itself
vmpk
No dependents other than itself

-- 
Vincent Legoll